function bodyOnload() {
	window.setTimeout("resizeToFit();", 100);
	window.setTimeout("positionMoviePlayer();", 500);
}

function positionMoviePlayer() {
	//find all movie player overlays
	var tables = getElementsByTagNames('table');
	for (var ii=0; ii<tables.length; ii++) {
		var curTable = tables[ii];
		var tableId = curTable.id;
		if (tableId != null) {
			var oOverlay = document.getElementById(tableId + "_player_overlay");
			if (oOverlay && oOverlay.style.display != "none") {
				var oWrapper = curTable;
				var oImage = findObjectOfType(oWrapper, "img");
				if (oImage != null){
					var oContainer = oImage.parentNode;

					  // Move oOverlay into oContainer
					oContainer.style.position = "relative";
					oContainer.style.padding = "0px";
					oContainer.appendChild(oOverlay);
					oOverlay.style.top = "0";
					oOverlay.style.left = "0";
					oOverlay.style.right = "0";
					oOverlay.style.bottom = "0";
				}
			}
		}
	}
}

function resizeToFit() {
	var objWrapper = document.getElementById("contentBody");

    var bodyWidth = objWrapper.clientWidth;

    var meta = getMetaWithNameAndContentPrefix("viewport", "");
    if (meta == null) {
        meta = document.createElement('meta');
        // set properties
        meta.name = "viewport";
        document.getElementsByTagName('head').item(0).appendChild(meta);
    }

    var initialScale = (window.outerWidth / (bodyWidth + 20));

    meta.content = "target-densitydpi=device-dpi, width=" + bodyWidth + ", initial-scale=" + initialScale.toFixed(1) + ";";
}